#from numpy import *
import numpy as np
#from matplotlib.pyplot import *

from matplotlib import pyplot as plt


x = np.linspace(0, 20*np.pi, 10000)


# Frequency
#w = lambda x: 10*np.ones_like(x)
#w = lambda x: 4*ones_like(x)
w = lambda x: (6/(0.03*x+1)) * np.ones_like(x)
#w = lambda x: 1/x


# Amplitude
#f = lambda x: ones_like(x)
#f = lambda x: w(x.min()) - w(x.min()) / x.max() * x  # linear
f = lambda x: np.exp(-0.05*x)
#f = lambda x: exp(-0.2*x)
#f = lambda x: (x * (1 - x))
#f = lambda x: 1 / (0.01 + exp(-0.9*x))  # logistic https://en.wikipedia.org/wiki/Logistic_function


y = np.sin(w(x)*x) * f(x)


#fig, ax = plt.subplots(figsize=(8, 0.8))
#ax.plot(x,y)
fig = plt.figure(figsize=(5.5, 1.0))
#axs = plt.axes()
#axs.facecolor('k')
plt.style.use('dark_background')
plt.rcParams['savefig.facecolor'] = 'k'
fig.patch.set_facecolor('black')

plt.plot(x, y, linewidth=3, color="w")
plt.xlim(x.min(), x.max())
plt.grid(False)
plt.axis('off')


plt.savefig('sin_custom.svg')
#show()
